/**
 * Sencha GXT 4.0.0 - Sencha for GWT
 * Copyright (c) 2006-2015, Sencha Inc.
 *
 * licensing@sencha.com
 * http://www.sencha.com/products/gxt/license/
 *
 * ================================================================================
 * Open Source License
 * ================================================================================
 * This version of Sencha GXT is licensed under the terms of the Open Source GPL v3
 * license. You may use this license only if you are prepared to distribute and
 * share the source code of your application under the GPL v3 license:
 * http://www.gnu.org/licenses/gpl.html
 *
 * If you are NOT prepared to distribute and share the source code of your
 * application under the GPL v3 license, other commercial and oem licenses
 * are available for an alternate download of Sencha GXT.
 *
 * Please see the Sencha GXT Licensing page at:
 * http://www.sencha.com/products/gxt/license/
 *
 * For clarification or additional options, please contact:
 * licensing@sencha.com
 * ================================================================================
 *
 *
 * ================================================================================
 * Disclaimer
 * ================================================================================
 * THIS SOFTWARE IS DISTRIBUTED "AS-IS" WITHOUT ANY WARRANTIES, CONDITIONS AND
 * REPRESENTATIONS WHETHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION THE
 * IMPLIED WARRANTIES AND CONDITIONS OF MERCHANTABILITY, MERCHANTABLE QUALITY,
 * FITNESS FOR A PARTICULAR PURPOSE, DURABILITY, NON-INFRINGEMENT, PERFORMANCE AND
 * THOSE ARISING BY STATUTE OR FROM CUSTOM OR USAGE OF TRADE OR COURSE OF DEALING.
 * ================================================================================
 */
package com.sencha.gxt.theme.triton.client;

public class ThemeDetailsImpl implements com.sencha.gxt.themebuilder.base.client.config.ThemeDetails {

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.AccordionLayoutDetails accordionLayout() {
  return new com.sencha.gxt.themebuilder.base.client.config.AccordionLayoutDetails() {

  @Override
  public java.lang.String backgroundColor() {
  return "#ffffff";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails border() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 1;
  }

  @Override
  public java.lang.String color() {
  return "#ffffff";
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails firstPanelPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 5;
  }

  @Override
  public int left() {
  return 5;
  }

  @Override
  public int right() {
  return 5;
  }

  @Override
  public int top() {
  return 5;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails font() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#666666";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "16px";
  }

  @Override
  public java.lang.String weight() {
  return "300";
  }
    };
  }

  @Override
  public java.lang.String headerBackgroundColor() {
  return "#ECECEC";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails headerBarMargin() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 5;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String headerGradient() {
  return "#ECECEC 0%, #ECECEC 100%";
  }

  @Override
  public java.lang.String headerLineHeight() {
  return "20px";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails headerPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 12;
  }

  @Override
  public int left() {
  return 10;
  }

  @Override
  public int right() {
  return 10;
  }

  @Override
  public int top() {
  return 12;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails padding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails panelPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 5;
  }

  @Override
  public int left() {
  return 5;
  }

  @Override
  public int right() {
  return 5;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }
    };
  }

  @Override
  public java.lang.String backgroundColor() {
  return "#ffffff";
  }

  @Override
  public java.lang.String borderColor() {
  return "#5fa2dd";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderLayoutDetails borderLayout() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderLayoutDetails() {

  @Override
  public java.lang.String collapsePanelBackgroundColor() {
  return "#5fa2dd";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails collapsePanelBorder() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public java.lang.String color() {
  return "#5fa2dd";
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String panelBackgroundColor() {
  return "#ececec";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.ButtonDetails button() {
  return new com.sencha.gxt.themebuilder.base.client.config.ButtonDetails() {

  @Override
  public java.lang.String arrowColor() {
  return "#f0f0f0";
  }

  @Override
  public java.lang.String backgroundColor() {
  return "#5fa2dd";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails border() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 1;
  }

  @Override
  public java.lang.String color() {
  return "#5897ce";
  }

  @Override
  public int left() {
  return 1;
  }

  @Override
  public int right() {
  return 1;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 1;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public int borderRadius() {
  return 0;
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails font() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#f0f0f0";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans','Helvetica Neue',helvetica,arial,verdana,sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "12px";
  }

  @Override
  public java.lang.String weight() {
  return "300";
  }
    };
  }

  @Override
  public java.lang.String gradient() {
  return "#5fa2dd 0%, #5fa2dd 100%";
  }

  @Override
  public java.lang.String largeFontSize() {
  return "16";
  }

  @Override
  public java.lang.String largeLineHeight() {
  return "32";
  }

  @Override
  public java.lang.String mediumFontSize() {
  return "14";
  }

  @Override
  public java.lang.String mediumLineHeight() {
  return "24";
  }

  @Override
  public java.lang.String overBackgroundColor() {
  return "#5795CB";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails overBorder() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 1;
  }

  @Override
  public java.lang.String color() {
  return "#518BBD";
  }

  @Override
  public int left() {
  return 1;
  }

  @Override
  public int right() {
  return 1;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 1;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String overGradient() {
  return "#5795CB 0%, #5795CB  100%";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails padding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 7;
  }

  @Override
  public int left() {
  return 7;
  }

  @Override
  public int right() {
  return 7;
  }

  @Override
  public int top() {
  return 7;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String pressedBackgroundColor() {
  return "#477aa6";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails pressedBorder() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 1;
  }

  @Override
  public java.lang.String color() {
  return "#42719A";
  }

  @Override
  public int left() {
  return 1;
  }

  @Override
  public int right() {
  return 1;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 1;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String pressedGradient() {
  return "#477aa6 0%, #477aa6 100%";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails radiusMinusBorderWidth() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String smallFontSize() {
  return "12";
  }

  @Override
  public java.lang.String smallLineHeight() {
  return "18";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.ButtonGroupDetails buttonGroup() {
  return new com.sencha.gxt.themebuilder.base.client.config.ButtonGroupDetails() {

  @Override
  public java.lang.String bodyBackgroundColor() {
  return "#FFFFFF";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails bodyPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 8;
  }

  @Override
  public int left() {
  return 8;
  }

  @Override
  public int right() {
  return 8;
  }

  @Override
  public int top() {
  return 8;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails border() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 1;
  }

  @Override
  public java.lang.String color() {
  return "#d0d0d0";
  }

  @Override
  public int left() {
  return 1;
  }

  @Override
  public int right() {
  return 1;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 1;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public int borderRadius() {
  return 0;
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails font() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#606060";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "300";
  }
    };
  }

  @Override
  public java.lang.String headerGradient() {
  return "#ffffff 0%, #ffffff 100%";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails headerPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 7;
  }

  @Override
  public int left() {
  return 8;
  }

  @Override
  public int right() {
  return 8;
  }

  @Override
  public int top() {
  return 8;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.ColorPaletteDetails colorpalette() {
  return new com.sencha.gxt.themebuilder.base.client.config.ColorPaletteDetails() {

  @Override
  public java.lang.String backgroundColor() {
  return "#ffffff";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails itemBorder() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 1;
  }

  @Override
  public java.lang.String color() {
  return "#e1e1e1";
  }

  @Override
  public int left() {
  return 1;
  }

  @Override
  public int right() {
  return 1;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 1;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails itemPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 2;
  }

  @Override
  public int left() {
  return 2;
  }

  @Override
  public int right() {
  return 2;
  }

  @Override
  public int top() {
  return 2;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public int itemSize() {
  return 16;
  }

  @Override
  public java.lang.String selectedBackgroundColor() {
  return "#e6e6e6";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails selectedBorder() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 1;
  }

  @Override
  public java.lang.String color() {
  return "#8bb8f3";
  }

  @Override
  public int left() {
  return 1;
  }

  @Override
  public int right() {
  return 1;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 1;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.DatePickerDetails datePicker() {
  return new com.sencha.gxt.themebuilder.base.client.config.DatePickerDetails() {

  @Override
  public java.lang.String additionalCssStyles() {
  return "x-toolbar-mark";
  }

  @Override
  public java.lang.String backgroundColor() {
  return "#ffffff";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails border() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 1;
  }

  @Override
  public java.lang.String color() {
  return "#d0d0d0";
  }

  @Override
  public int left() {
  return 1;
  }

  @Override
  public int right() {
  return 1;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 1;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails buttonMargin() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 2;
  }

  @Override
  public int right() {
  return 3;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails dayBorder() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public java.lang.String color() {
  return "#ffffff";
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String dayDisabledBackgroundColor() {
  return "#ffffff";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails dayDisabledText() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#d0d0d0";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "normal";
  }
    };
  }

  @Override
  public java.lang.String dayLineHeight() {
  return "36px";
  }

  @Override
  public java.lang.String dayNextBackgroundColor() {
  return "#ffffff";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails dayNextText() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#bfbfbf";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "normal";
  }
    };
  }

  @Override
  public java.lang.String dayOfWeekBackgroundColor() {
  return "#ececec";
  }

  @Override
  public java.lang.String dayOfWeekLineHeight() {
  return "36px";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails dayOfWeekPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 15;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails dayOfWeekText() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#404040";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "normal";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails dayPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 15;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String dayPreviousBackgroundColor() {
  return "#ffffff";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails dayPreviousText() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#bfbfbf";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "normal";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails dayText() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#404040";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "300";
  }
    };
  }

  @Override
  public java.lang.String footerBackgroundColor() {
  return "#ffffff";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails footerPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 6;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 6;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String headerBackgroundColor() {
  return "#ececec";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails headerPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails headerText() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#404040";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "15px";
  }

  @Override
  public java.lang.String weight() {
  return "400";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails headerTextPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 14;
  }

  @Override
  public int left() {
  return 14;
  }

  @Override
  public int right() {
  return 14;
  }

  @Override
  public int top() {
  return 14;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String itemOverBackgroundColor() {
  return "#ececec";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails itemOverBorder() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public java.lang.String color() {
  return "#ececec";
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String itemOverColor() {
  return "#404040";
  }

  @Override
  public java.lang.String itemSelectedBackgroundColor() {
  return "#5fa2dd";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails itemSelectedBorder() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public java.lang.String color() {
  return "#3892d3";
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails itemSelectedText() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#ffffff";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "300";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails monthLeftButtonMargin() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 10;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String monthLeftButtonOpacity() {
  return "0.7";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails monthRightButtonMargin() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 10;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String monthRightButtonOpacity() {
  return "0.7";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails todayBorder() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public java.lang.String color() {
  return "#8b0000";
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String width() {
  return "308px";
  }
    };
  }

  @Override
  public double disabledOpacity() {
  return 0.5;
  }

  @Override
  public java.lang.String disabledTextColor() {
  return "";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.TipDetails errortip() {
  return new com.sencha.gxt.themebuilder.base.client.config.TipDetails() {

  @Override
  public java.lang.String backgroundColor() {
  return "#747474";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails border() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 1;
  }

  @Override
  public java.lang.String color() {
  return "#747474";
  }

  @Override
  public int left() {
  return 1;
  }

  @Override
  public int right() {
  return 1;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 1;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public int borderRadius() {
  return 2;
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails headerPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails headerText() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#f0f0f0";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans','Helvetica Neue',helvetica,arial,verdana,sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "bold";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails margin() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails messagePadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails messageText() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#f0f0f0";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans','Helvetica Neue',helvetica,arial,verdana,sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "300";
  }
    };
  }

  @Override
  public double opacity() {
  return 1.0;
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails padding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 3;
  }

  @Override
  public int left() {
  return 3;
  }

  @Override
  public int right() {
  return 3;
  }

  @Override
  public int top() {
  return 3;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails radiusMinusBorderWidth() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 1;
  }

  @Override
  public int left() {
  return 1;
  }

  @Override
  public int right() {
  return 1;
  }

  @Override
  public int top() {
  return 1;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FieldDetails field() {
  return new com.sencha.gxt.themebuilder.base.client.config.FieldDetails() {

  @Override
  public java.lang.String backgroundColor() {
  return "#ffffff";
  }

  @Override
  public java.lang.String borderColor() {
  return "#d0d0d0";
  }

  @Override
  public java.lang.String borderStyle() {
  return "solid";
  }

  @Override
  public int borderWidth() {
  return 1;
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FieldDetails.CheckBoxDetails checkBox() {
  return new com.sencha.gxt.themebuilder.base.client.config.FieldDetails.CheckBoxDetails() {

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails boxLabel() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#404040";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "300";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails padding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 22;
  }

  @Override
  public int right() {
  return 10;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }
    };
  }

  @Override
  public java.lang.String emptyTextColor() {
  return "#a9a9a9";
  }

  @Override
  public java.lang.String focusBorderColor() {
  return "#3892d3";
  }

  @Override
  public int height() {
  return 30;
  }

  @Override
  public java.lang.String invalidBackgroundColor() {
  return "#ffffff";
  }

  @Override
  public java.lang.String invalidBorderColor() {
  return "#cf4c35";
  }

  @Override
  public int invalidBorderWidth() {
  return 1;
  }

  @Override
  public java.lang.String lineHeight() {
  return "30px";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails padding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 9;
  }

  @Override
  public int left() {
  return 10;
  }

  @Override
  public int right() {
  return 10;
  }

  @Override
  public int top() {
  return 8;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FieldDetails.RadioDetails radio() {
  return new com.sencha.gxt.themebuilder.base.client.config.FieldDetails.RadioDetails() {

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails boxLabel() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#404040";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "300";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails padding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 22;
  }

  @Override
  public int right() {
  return 10;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FieldDetails.FieldLabelDetails sideLabel() {
  return new com.sencha.gxt.themebuilder.base.client.config.FieldDetails.FieldLabelDetails() {

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails fieldPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails labelPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 5;
  }

  @Override
  public int top() {
  return 5;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails padding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 10;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails text() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#404040";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "300";
  }
    };
  }

  @Override
  public java.lang.String textAlign() {
  return "left";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.SliderDetails slider() {
  return new com.sencha.gxt.themebuilder.base.client.config.SliderDetails() {

  @Override
  public java.lang.String thumbBackgroundColor() {
  return "#f6f6f6";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails thumbBorder() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 1;
  }

  @Override
  public java.lang.String color() {
  return "#d0d0d0";
  }

  @Override
  public int left() {
  return 1;
  }

  @Override
  public int right() {
  return 1;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 1;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public int thumbHeight() {
  return 20;
  }

  @Override
  public int thumbRadius() {
  return 0;
  }

  @Override
  public int thumbWidth() {
  return 20;
  }

  @Override
  public java.lang.String trackBackgroundColor() {
  return "#eeeeee";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails trackBorder() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 1;
  }

  @Override
  public java.lang.String color() {
  return "#d0d0d0";
  }

  @Override
  public int left() {
  return 1;
  }

  @Override
  public int right() {
  return 1;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 1;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public int trackHeight() {
  return 10;
  }

  @Override
  public int trackRadius() {
  return 0;
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails text() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#404040";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "300";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FieldDetails.FieldLabelDetails topLabel() {
  return new com.sencha.gxt.themebuilder.base.client.config.FieldDetails.FieldLabelDetails() {

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails fieldPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails labelPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 6;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails padding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 10;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails text() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#404040";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "300";
  }
    };
  }

  @Override
  public java.lang.String textAlign() {
  return "left";
  }
    };
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FieldSetDetails fieldset() {
  return new com.sencha.gxt.themebuilder.base.client.config.FieldSetDetails() {

  @Override
  public java.lang.String backgroundColor() {
  return "#f6f6f6";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails border() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 1;
  }

  @Override
  public java.lang.String color() {
  return "#d0d0d0";
  }

  @Override
  public int left() {
  return 1;
  }

  @Override
  public int right() {
  return 1;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 1;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String collapseIconColor() {
  return "#919191";
  }

  @Override
  public java.lang.String collapseOverIconColor() {
  return "#3892d4";
  }

  @Override
  public java.lang.String expandIconColor() {
  return "#919191";
  }

  @Override
  public java.lang.String expandOverIconColor() {
  return "#3892d4";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails legendPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 10;
  }

  @Override
  public int left() {
  return 5;
  }

  @Override
  public int right() {
  return 5;
  }

  @Override
  public int top() {
  return 10;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails padding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 10;
  }

  @Override
  public int left() {
  return 15;
  }

  @Override
  public int right() {
  return 15;
  }

  @Override
  public int top() {
  return 5;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails text() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#919191";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "16px";
  }

  @Override
  public java.lang.String weight() {
  return "400";
  }
    };
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FramedPanelDetails framedPanel() {
  return new com.sencha.gxt.themebuilder.base.client.config.FramedPanelDetails() {

  @Override
  public java.lang.String backgroundColor() {
  return "#ffffff";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails border() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 2;
  }

  @Override
  public java.lang.String color() {
  return "#5fa2dd";
  }

  @Override
  public int left() {
  return 2;
  }

  @Override
  public int right() {
  return 2;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 2;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public int borderRadius() {
  return 0;
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails font() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#f0f0f0";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans','Helvetica Neue',helvetica,arial,verdana,sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "16px";
  }

  @Override
  public java.lang.String weight() {
  return "400";
  }
    };
  }

  @Override
  public java.lang.String headerBackgroundColor() {
  return "#5fa2dd";
  }

  @Override
  public java.lang.String headerGradient() {
  return "#5fa2dd 0%, #5fa2dd 100%";
  }

  @Override
  public java.lang.String headerLineHeight() {
  return "20px";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails headerPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 10;
  }

  @Override
  public int left() {
  return 14;
  }

  @Override
  public int right() {
  return 14;
  }

  @Override
  public int top() {
  return 10;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails padding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails radiusMinusBorderWidth() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.GridDetails grid() {
  return new com.sencha.gxt.themebuilder.base.client.config.GridDetails() {

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails bodyBorder() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public java.lang.String color() {
  return "#d0d0d0";
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 2;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String cellAltBackgroundColor() {
  return "#fafafa";
  }

  @Override
  public java.lang.String cellBackgroundColor() {
  return "#ffffff";
  }

  @Override
  public int cellBorderWidth() {
  return 1;
  }

  @Override
  public java.lang.String cellHBorderColor() {
  return "#e9e9e9";
  }

  @Override
  public java.lang.String cellLineHeight() {
  return "15px";
  }

  @Override
  public java.lang.String cellOverBackgroundColor() {
  return "#eaeff4";
  }

  @Override
  public java.lang.String cellOverHBorderColor() {
  return "#dee3e8";
  }

  @Override
  public java.lang.String cellOverHBorderStyle() {
  return "solid";
  }

  @Override
  public java.lang.String cellOverVBorderColor() {
  return "#dee3e8";
  }

  @Override
  public java.lang.String cellOverVBorderStyle() {
  return "solid";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails cellPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 6;
  }

  @Override
  public int left() {
  return 10;
  }

  @Override
  public int right() {
  return 10;
  }

  @Override
  public int top() {
  return 7;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String cellSelectedBackgroundColor() {
  return "#ffefbc";
  }

  @Override
  public java.lang.String cellSelectedHBorderColor() {
  return "#f2e3b2";
  }

  @Override
  public java.lang.String cellSelectedHBorderStyle() {
  return "solid";
  }

  @Override
  public java.lang.String cellSelectedVBorderColor() {
  return "#f2e3b2";
  }

  @Override
  public java.lang.String cellSelectedVBorderStyle() {
  return "solid";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails cellText() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#404040";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "300";
  }
    };
  }

  @Override
  public java.lang.String cellVBorderColor() {
  return "#e9e9e9";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.GridDetails.ColumnHeaderDetails columnHeader() {
  return new com.sencha.gxt.themebuilder.base.client.config.GridDetails.ColumnHeaderDetails() {

  @Override
  public java.lang.String backgroundColor() {
  return "#ffffff";
  }

  @Override
  public java.lang.String borderColor() {
  return "#c0c0c0";
  }

  @Override
  public java.lang.String borderStyle() {
  return "solid";
  }

  @Override
  public int borderWidth() {
  return 1;
  }

  @Override
  public java.lang.String gradient() {
  return "#ffffff 0%, #ffffff 100%";
  }

  @Override
  public java.lang.String lineHeight() {
  return "15px";
  }

  @Override
  public java.lang.String menuActiveBackgroundColor() {
  return "#DFEAF2";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails menuActiveBorder() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public java.lang.String color() {
  return "#d0d0d0";
  }

  @Override
  public int left() {
  return 1;
  }

  @Override
  public int right() {
  return 1;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String menuActiveGradient() {
  return "#DFEAF2 0%, #DFEAF2 100%";
  }

  @Override
  public java.lang.String menuBackgroundColor() {
  return "#eaeff4";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails menuBorder() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public java.lang.String color() {
  return "#d0d0d0";
  }

  @Override
  public int left() {
  return 1;
  }

  @Override
  public int right() {
  return 1;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public int menuButtonWidth() {
  return 18;
  }

  @Override
  public java.lang.String menuGradient() {
  return "#eaeff4 0%, #eaeff4 100%";
  }

  @Override
  public java.lang.String menuHoverBackgroundColor() {
  return "#eaeff4";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails menuHoverBorder() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public java.lang.String color() {
  return "#d0d0d0";
  }

  @Override
  public int left() {
  return 1;
  }

  @Override
  public int right() {
  return 1;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String menuHoverGradient() {
  return "#eaeff4 0%, #eaeff4 100%";
  }

  @Override
  public java.lang.String overBackgroundColor() {
  return "#eaeff4";
  }

  @Override
  public java.lang.String overGradient() {
  return "#eaeff4 0%, #eaeff4 100%";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails padding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 6;
  }

  @Override
  public int left() {
  return 10;
  }

  @Override
  public int right() {
  return 10;
  }

  @Override
  public int top() {
  return 7;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails text() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#404040";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "normal";
  }
    };
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.GridDetails.FooterDetails footer() {
  return new com.sencha.gxt.themebuilder.base.client.config.GridDetails.FooterDetails() {

  @Override
  public java.lang.String backgroundColor() {
  return "#ffffff";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails cellBorder() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public java.lang.String color() {
  return "#ededed";
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 1;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails text() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#000000";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "bold";
  }
    };
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.GridDetails.GroupDetails group() {
  return new com.sencha.gxt.themebuilder.base.client.config.GridDetails.GroupDetails() {

  @Override
  public java.lang.String backgroundColor() {
  return "#f5f5f5";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails border() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 1;
  }

  @Override
  public java.lang.String color() {
  return "#c0c0c0";
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public int iconSpacing() {
  return 17;
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails padding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 8;
  }

  @Override
  public int left() {
  return 4;
  }

  @Override
  public int right() {
  return 4;
  }

  @Override
  public int top() {
  return 8;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.GridDetails.GroupDetails.SummaryDetails summary() {
  return new com.sencha.gxt.themebuilder.base.client.config.GridDetails.GroupDetails.SummaryDetails() {

  @Override
  public java.lang.String backgroundColor() {
  return "#ffffff";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails text() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#000000";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "bold";
  }
    };
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails text() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#404040";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "normal";
  }
    };
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.GridDetails.RowEditorDetails rowEditor() {
  return new com.sencha.gxt.themebuilder.base.client.config.GridDetails.RowEditorDetails() {

  @Override
  public java.lang.String backgroundColor() {
  return "#DFEAF2";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails border() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 1;
  }

  @Override
  public java.lang.String color() {
  return "#e1e1e1";
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 1;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.GridDetails.RowNumbererDetails rowNumberer() {
  return new com.sencha.gxt.themebuilder.base.client.config.GridDetails.RowNumbererDetails() {

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails padding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 4;
  }

  @Override
  public int left() {
  return 3;
  }

  @Override
  public int right() {
  return 3;
  }

  @Override
  public int top() {
  return 5;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails text() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#000000";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "normal";
  }
    };
  }
    };
  }

  @Override
  public java.lang.String specialColumnGradient() {
  return "";
  }

  @Override
  public java.lang.String specialColumnGradientSelected() {
  return "";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.InfoDetails info() {
  return new com.sencha.gxt.themebuilder.base.client.config.InfoDetails() {

  @Override
  public java.lang.String backgroundColor() {
  return "#ffffff";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails border() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 3;
  }

  @Override
  public java.lang.String color() {
  return "#5795cb";
  }

  @Override
  public int left() {
  return 3;
  }

  @Override
  public int right() {
  return 3;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 2;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public int borderRadius() {
  return 0;
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails headerPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 8;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails headerText() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#555555";
  }

  @Override
  public java.lang.String family() {
  return "Tahoma, Arial, Verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "15px";
  }

  @Override
  public java.lang.String weight() {
  return "bold";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails margin() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 2;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails messagePadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails messageText() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#555555";
  }

  @Override
  public java.lang.String family() {
  return "Tahoma, Arial, Verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "14px";
  }

  @Override
  public java.lang.String weight() {
  return "normal";
  }
    };
  }

  @Override
  public double opacity() {
  return 1.0;
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails padding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 2;
  }

  @Override
  public int left() {
  return 7;
  }

  @Override
  public int right() {
  return 7;
  }

  @Override
  public int top() {
  return 2;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails radiusMinusBorderWidth() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.ListViewDetails listview() {
  return new com.sencha.gxt.themebuilder.base.client.config.ListViewDetails() {

  @Override
  public java.lang.String backgroundColor() {
  return "#ffffff";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails border() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 1;
  }

  @Override
  public java.lang.String color() {
  return "#e1e1e1";
  }

  @Override
  public int left() {
  return 1;
  }

  @Override
  public int right() {
  return 1;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 1;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.ListViewDetails.ItemDetails item() {
  return new com.sencha.gxt.themebuilder.base.client.config.ListViewDetails.ItemDetails() {

  @Override
  public java.lang.String backgroundColor() {
  return "#ffffff";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails border() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public java.lang.String color() {
  return "#000000";
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public java.lang.String style() {
  return "none";
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String gradient() {
  return "#ffffff 0%, #ffffff 100%";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails padding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 6;
  }

  @Override
  public int right() {
  return 6;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String color () {
    return "#000000";
  }
    };
  }

  @Override
  public java.lang.String lineHeight() {
  return "22px";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.ListViewDetails.ItemDetails overItem() {
  return new com.sencha.gxt.themebuilder.base.client.config.ListViewDetails.ItemDetails() {

  @Override
  public java.lang.String backgroundColor() {
  return "#7fb5e4";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails border() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public java.lang.String color() {
  return "#000000";
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public java.lang.String style() {
  return "none";
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String color() {
  return "#ffffff";
  }

  @Override
  public java.lang.String gradient() {
  return "#7fb5e4 0%, #7fb5e4 100%";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails padding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 6;
  }

  @Override
  public int right() {
  return 6;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.ListViewDetails.ItemDetails selectedItem() {
  return new com.sencha.gxt.themebuilder.base.client.config.ListViewDetails.ItemDetails() {

  @Override
  public java.lang.String backgroundColor() {
  return "#7fb5e4";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails border() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public java.lang.String color() {
  return "#000000";
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public java.lang.String style() {
  return "none";
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String color() {
  return "#ffffff";
  }

  @Override
  public java.lang.String gradient() {
  return "#7fb5e4 0%, #7fb5e4 100%";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails padding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 6;
  }

  @Override
  public int right() {
  return 6;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails text() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#000000";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "300";
  }
    };
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.MaskDetails mask() {
  return new com.sencha.gxt.themebuilder.base.client.config.MaskDetails() {

  @Override
  public java.lang.String backgroundColor() {
  return "#d0d0d0";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.MaskDetails.BoxDetails box() {
  return new com.sencha.gxt.themebuilder.base.client.config.MaskDetails.BoxDetails() {

  @Override
  public java.lang.String backgroundColor() {
  return "#d0d0d0";
  }

  @Override
  public java.lang.String borderColor() {
  return "";
  }

  @Override
  public int borderRadius() {
  return 3;
  }

  @Override
  public java.lang.String borderStyle() {
  return "none";
  }

  @Override
  public int borderWidth() {
  return 0;
  }

  @Override
  public java.lang.String loadingImagePosition() {
  return "center 0";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails padding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 5;
  }

  @Override
  public int left() {
  return 5;
  }

  @Override
  public int right() {
  return 5;
  }

  @Override
  public int top() {
  return 5;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public int radiusMinusBorderWidth() {
  return 3;
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails text() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#666666";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "normal";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails textPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 21;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }
    };
  }

  @Override
  public double opacity() {
  return 0.5;
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.MenuDetails menu() {
  return new com.sencha.gxt.themebuilder.base.client.config.MenuDetails() {

  @Override
  public java.lang.String activeItemBackgroundColor() {
  return "#7fb5e4";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails activeItemBorder() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public java.lang.String color() {
  return "#000000";
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public java.lang.String style() {
  return "none";
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String activeItemGradient() {
  return "#7fb5e4 0%, #7fb5e4 100%";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails activeItemText() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#ffffff";
  }

  @Override
  public java.lang.String family() {
  return "tahoma,arial,verdana,sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "10px";
  }

  @Override
  public java.lang.String weight() {
  return "bold";
  }
    };
  }

  @Override
  public java.lang.String backgroundColor() {
  return "#ffffff";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.MenuDetails.MenuBarDetails bar() {
  return new com.sencha.gxt.themebuilder.base.client.config.MenuDetails.MenuBarDetails() {

  @Override
  public java.lang.String activeItemBackgroundColor() {
  return "#5fa2dd";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails activeItemBorder() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public java.lang.String color() {
  return "#000000";
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public java.lang.String style() {
  return "none";
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String activeItemGradient() {
  return "#5fa2dd 0%, #5fa2dd 100%";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails activeItemText() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#ffffff";
  }

  @Override
  public java.lang.String family() {
  return "tahoma,arial,verdana,sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "10px";
  }

  @Override
  public java.lang.String weight() {
  return "bold";
  }
    };
  }

  @Override
  public java.lang.String backgroundColor() {
  return "#ffffff";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails border() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public java.lang.String color() {
  return "#000000";
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public java.lang.String style() {
  return "none";
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String gradient() {
  return "#ffffff 0%, #ffffff 100%";
  }

  @Override
  public java.lang.String hoverItemBackgroundColor() {
  return "#5fa2dd";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails hoverItemBorder() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public java.lang.String color() {
  return "#000000";
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public java.lang.String style() {
  return "none";
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String hoverItemGradient() {
  return "#5fa2dd 0%, #5fa2dd 100%";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails hoverItemText() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#ffffff";
  }

  @Override
  public java.lang.String family() {
  return "tahoma,arial,verdana,sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "10px";
  }

  @Override
  public java.lang.String weight() {
  return "bold";
  }
    };
  }

  @Override
  public java.lang.String itemLineHeight() {
  return "24px";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails itemPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 1;
  }

  @Override
  public int left() {
  return 8;
  }

  @Override
  public int right() {
  return 8;
  }

  @Override
  public int top() {
  return 1;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails itemText() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#404040";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "300";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails padding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails border() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 1;
  }

  @Override
  public java.lang.String color() {
  return "#e1e1e1";
  }

  @Override
  public int left() {
  return 1;
  }

  @Override
  public int right() {
  return 1;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 1;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String gradient() {
  return "#ffffff 0%, #ffffff 100%";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.MenuDetails.HeaderItemDetails header() {
  return new com.sencha.gxt.themebuilder.base.client.config.MenuDetails.HeaderItemDetails() {

  @Override
  public java.lang.String backgroundColor() {
  return "#5fa2dd";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails border() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 1;
  }

  @Override
  public java.lang.String color() {
  return "#5fa2dd";
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 1;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String itemLineHeight() {
  return "13px";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails itemPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 3;
  }

  @Override
  public int left() {
  return 10;
  }

  @Override
  public int right() {
  return 3;
  }

  @Override
  public int top() {
  return 3;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails itemText() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#ffffff";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "300";
  }
    };
  }
    };
  }

  @Override
  public java.lang.String itemLineHeight() {
  return "24px";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails itemPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails itemText() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#404040";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "300";
  }
    };
  }

  @Override
  public java.lang.String lastGradientColor() {
  return "#ffffff";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails padding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public int scrollerHeight() {
  return 24;
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.MenuDetails.MenuSeparatorDetails separator() {
  return new com.sencha.gxt.themebuilder.base.client.config.MenuDetails.MenuSeparatorDetails() {

  @Override
  public java.lang.String color() {
  return "#e1e1e1";
  }

  @Override
  public int height() {
  return 1;
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails margin() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 2;
  }

  @Override
  public int left() {
  return 3;
  }

  @Override
  public int right() {
  return 3;
  }

  @Override
  public int top() {
  return 2;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }
    };
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.MessageBoxDetails messagebox() {
  return new com.sencha.gxt.themebuilder.base.client.config.MessageBoxDetails() {

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails bodyPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 10;
  }

  @Override
  public int left() {
  return 10;
  }

  @Override
  public int right() {
  return 10;
  }

  @Override
  public int top() {
  return 5;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails iconPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 10;
  }

  @Override
  public int left() {
  return 10;
  }

  @Override
  public int right() {
  return 10;
  }

  @Override
  public int top() {
  return 10;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails messagePadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 5;
  }

  @Override
  public int left() {
  return 10;
  }

  @Override
  public int right() {
  return 10;
  }

  @Override
  public int top() {
  return 10;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails text() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#000000";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "normal";
  }
    };
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.PanelDetails panel() {
  return new com.sencha.gxt.themebuilder.base.client.config.PanelDetails() {

  @Override
  public java.lang.String backgroundColor() {
  return "#ffffff";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails border() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public java.lang.String color() {
  return "#000000";
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public java.lang.String style() {
  return "none";
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails font() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#f6f6f6";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans','Helvetica Neue',helvetica,arial,verdana,sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "16px";
  }

  @Override
  public java.lang.String weight() {
  return "400";
  }
    };
  }

  @Override
  public java.lang.String headerBackgroundColor() {
  return "#5fa2dd";
  }

  @Override
  public java.lang.String headerGradient() {
  return "#5fa2dd 0%, #5fa2dd 100%";
  }

  @Override
  public java.lang.String headerLineHeight() {
  return "20px";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails headerPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 12;
  }

  @Override
  public int left() {
  return 16;
  }

  @Override
  public int right() {
  return 16;
  }

  @Override
  public int top() {
  return 12;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails padding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.ProgressBarDetails progressbar() {
  return new com.sencha.gxt.themebuilder.base.client.config.ProgressBarDetails() {

  @Override
  public java.lang.String backgroundGradient() {
  return "";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails barBorder() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public java.lang.String color() {
  return "#000000";
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public java.lang.String style() {
  return "none";
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String barGradient() {
  return "#c1ddf1 0%, #c1ddf1 100%";
  }

  @Override
  public java.lang.String barTextColor() {
  return "#666666";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails border() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public java.lang.String color() {
  return "#000000";
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public java.lang.String style() {
  return "none";
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails text() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#666666";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "bold";
  }
    };
  }

  @Override
  public java.lang.String textAlign() {
  return "center";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails textPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 3;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 3;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.ResizableDetails resizable() {
  return new com.sencha.gxt.themebuilder.base.client.config.ResizableDetails() {

  @Override
  public int handleOffset() {
  return -8;
  }

  @Override
  public int handleSize() {
  return 16;
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.SplitBarDetails splitbar() {
  return new com.sencha.gxt.themebuilder.base.client.config.SplitBarDetails() {

  @Override
  public java.lang.String dragColor() {
  return "#B4B4B4";
  }

  @Override
  public int handleHeight() {
  return 48;
  }

  @Override
  public double handleOpacity() {
  return 1.0;
  }

  @Override
  public int handleWidth() {
  return 10;
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.StatusDetails status() {
  return new com.sencha.gxt.themebuilder.base.client.config.StatusDetails() {

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails border() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 1;
  }

  @Override
  public java.lang.String color() {
  return "#cccccc #d9d9d9 #d9d9d9";
  }

  @Override
  public int left() {
  return 1;
  }

  @Override
  public int right() {
  return 1;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 1;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String lineHeight() {
  return "16px";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails padding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 5;
  }

  @Override
  public int right() {
  return 5;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails text() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#000000";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "12px";
  }

  @Override
  public java.lang.String weight() {
  return "normal";
  }
    };
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.StatusProxyDetails statusproxy() {
  return new com.sencha.gxt.themebuilder.base.client.config.StatusProxyDetails() {

  @Override
  public java.lang.String backgroundColor() {
  return "#ffffff";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails border() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 1;
  }

  @Override
  public java.lang.String color() {
  return "#dddddd #bbbbbb #bbbbbb #dddddd";
  }

  @Override
  public int left() {
  return 1;
  }

  @Override
  public int right() {
  return 1;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 1;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public double opacity() {
  return 0.85;
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails text() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#000000";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "normal";
  }
    };
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.TabDetails tabs() {
  return new com.sencha.gxt.themebuilder.base.client.config.TabDetails() {

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails activeHeadingText() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#4C82B1";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "300";
  }
    };
  }

  @Override
  public double activeTabCloseIconOpacity() {
  return 1.0;
  }

  @Override
  public double activeTabCloseOverIconOpacity() {
  return 1.0;
  }

  @Override
  public java.lang.String activeTabItemBackgroundColor() {
  return "#ffffff";
  }

  @Override
  public java.lang.String activeTabItemBorderBottom() {
  return "0px";
  }

  @Override
  public java.lang.String activeTabItemBorderTop() {
  return "0px";
  }

  @Override
  public java.lang.String bodyBackgroundColor() {
  return "#ffffff";
  }

  @Override
  public java.lang.String borderColor() {
  return "#5fa2dd";
  }

  @Override
  public int borderRadius() {
  return 0;
  }

  @Override
  public java.lang.String gradient() {
  return "#ffffff 0%, #ffffff 100%";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails headingText() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#f0f0f0";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "300";
  }
    };
  }

  @Override
  public java.lang.String hoverGradient() {
  return "rgba(0, 0, 0, 0.08) 0%, rgba(0, 0, 0, 0.08) 100%";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails hoverHeadingText() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#f0f0f0";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "300";
  }
    };
  }

  @Override
  public java.lang.String hoverTabItemBackgroundColor() {
  return "rgba(0, 0, 0, 0.08)";
  }

  @Override
  public int iconLeftOffset() {
  return 6;
  }

  @Override
  public int iconTopOffset() {
  return 5;
  }

  @Override
  public java.lang.String inactiveGradient() {
  return "transparent 0%, transparent 100%";
  }

  @Override
  public java.lang.String inactiveLastStopColor() {
  return "transparent";
  }

  @Override
  public java.lang.String inactiveTabItemBackgroundColor() {
  return "transparent";
  }

  @Override
  public java.lang.String lastStopColor() {
  return "#5fa2dd";
  }

  @Override
  public java.lang.String overTabItemBorderBottom() {
  return "0px";
  }

  @Override
  public java.lang.String overTabItemBorderTop() {
  return "0px";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails padding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 8;
  }

  @Override
  public int left() {
  return 10;
  }

  @Override
  public int right() {
  return 10;
  }

  @Override
  public int top() {
  return 8;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails paddingWithClosable() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 19;
  }

  @Override
  public int left() {
  return 19;
  }

  @Override
  public int right() {
  return 19;
  }

  @Override
  public int top() {
  return 19;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails paddingWithIcon() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 18;
  }

  @Override
  public int left() {
  return 18;
  }

  @Override
  public int right() {
  return 18;
  }

  @Override
  public int top() {
  return 18;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails plainActiveHeadingText() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#404040";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "normal";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails plainHeadingText() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#606060";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "normal";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails plainHoverHeadingText() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#606060";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "normal";
  }
    };
  }

  @Override
  public java.lang.String plainTabBarBorderBottom() {
  return "0";
  }

  @Override
  public java.lang.String plainTabBarBorderTop() {
  return "0";
  }

  @Override
  public java.lang.String plainTabStripSpacerBorder() {
  return "0";
  }

  @Override
  public java.lang.String plainTabStripSpacerHeight() {
  return "0";
  }

  @Override
  public java.lang.String scrollerBackgroundColor() {
  return "#5fa2dd";
  }

  @Override
  public double scrollerLeftDisabledOpacity() {
  return 0.5;
  }

  @Override
  public double scrollerLeftOverOpacity() {
  return 1.0;
  }

  @Override
  public double scrollerRightDisabledOpacity() {
  return 0.5;
  }

  @Override
  public double scrollerRightOverOpacity() {
  return 1.0;
  }

  @Override
  public int scrollerWidth() {
  return 24;
  }

  @Override
  public java.lang.String tabBarBorder() {
  return "none";
  }

  @Override
  public int tabBarBottomHeight() {
  return 0;
  }

  @Override
  public java.lang.String tabBodyBorder() {
  return "none";
  }

  @Override
  public double tabCloseIconOpacity() {
  return 1.0;
  }

  @Override
  public double tabCloseOverIconOpacity() {
  return 1.0;
  }

  @Override
  public int tabHeight() {
  return 36;
  }

  @Override
  public java.lang.String tabItemBorderBottom() {
  return "none";
  }

  @Override
  public java.lang.String tabItemBorderLeft() {
  return "none";
  }

  @Override
  public java.lang.String tabItemBorderRight() {
  return "none";
  }

  @Override
  public java.lang.String tabItemBorderTop() {
  return "none";
  }

  @Override
  public int tabSpacing() {
  return 1;
  }

  @Override
  public java.lang.String tabStripBackgroundColor() {
  return "#5fa2dd";
  }

  @Override
  public java.lang.String tabStripBottomBorder() {
  return "none";
  }

  @Override
  public java.lang.String tabStripGradient() {
  return "#5fa2dd 0%, #5fa2dd 100%";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails tabStripPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 8;
  }

  @Override
  public int right() {
  return 4;
  }

  @Override
  public int top() {
  return 8;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String tabStripTopBorder() {
  return "none";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails tabTextPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 10;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 10;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String activeTabItemMarginBottom () {
    return "0px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.TipDetails tip() {
  return new com.sencha.gxt.themebuilder.base.client.config.TipDetails() {

  @Override
  public java.lang.String backgroundColor() {
  return "#747474";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails border() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 1;
  }

  @Override
  public java.lang.String color() {
  return "#747474";
  }

  @Override
  public int left() {
  return 1;
  }

  @Override
  public int right() {
  return 1;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 1;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public int borderRadius() {
  return 2;
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails headerPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails headerText() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#f0f0f0";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans','Helvetica Neue',helvetica,arial,verdana,sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "bold";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails margin() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails messagePadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails messageText() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#f0f0f0";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans','Helvetica Neue',helvetica,arial,verdana,sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "300";
  }
    };
  }

  @Override
  public double opacity() {
  return 1.0;
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails padding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 3;
  }

  @Override
  public int left() {
  return 3;
  }

  @Override
  public int right() {
  return 3;
  }

  @Override
  public int top() {
  return 3;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails radiusMinusBorderWidth() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 1;
  }

  @Override
  public int left() {
  return 1;
  }

  @Override
  public int right() {
  return 1;
  }

  @Override
  public int top() {
  return 1;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.ToolBarDetails toolbar() {
  return new com.sencha.gxt.themebuilder.base.client.config.ToolBarDetails() {

  @Override
  public java.lang.String backgroundColor() {
  return "#ffffff";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails border() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public java.lang.String color() {
  return "#000000";
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public java.lang.String style() {
  return "none";
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.ButtonDetails buttonOverride() {
  return new com.sencha.gxt.themebuilder.base.client.config.ButtonDetails() {

  @Override
  public java.lang.String arrowColor() {
  return "#919191";
  }

  @Override
  public java.lang.String backgroundColor() {
  return "#f6f6f6";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails border() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 1;
  }

  @Override
  public java.lang.String color() {
  return "#e4e4e4";
  }

  @Override
  public int left() {
  return 1;
  }

  @Override
  public int right() {
  return 1;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 1;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public int borderRadius() {
  return 0;
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails font() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#606060";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans','Helvetica Neue',helvetica,arial,verdana,sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "300";
  }
    };
  }

  @Override
  public java.lang.String gradient() {
  return "#f6f6f6 0%, #f6f6f6 100%";
  }

  @Override
  public java.lang.String largeFontSize() {
  return "16";
  }

  @Override
  public java.lang.String largeLineHeight() {
  return "32";
  }

  @Override
  public java.lang.String mediumFontSize() {
  return "14";
  }

  @Override
  public java.lang.String mediumLineHeight() {
  return "24";
  }

  @Override
  public java.lang.String overBackgroundColor() {
  return "#ececec";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails overBorder() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 1;
  }

  @Override
  public java.lang.String color() {
  return "#dbdbdb";
  }

  @Override
  public int left() {
  return 1;
  }

  @Override
  public int right() {
  return 1;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 1;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String overGradient() {
  return "#ececec 0%, #ececec 100%";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails padding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 7;
  }

  @Override
  public int left() {
  return 7;
  }

  @Override
  public int right() {
  return 7;
  }

  @Override
  public int top() {
  return 7;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String pressedBackgroundColor() {
  return "#e2e2e2";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails pressedBorder() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 1;
  }

  @Override
  public java.lang.String color() {
  return "#d2d2d2";
  }

  @Override
  public int left() {
  return 1;
  }

  @Override
  public int right() {
  return 1;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 1;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String pressedGradient() {
  return "#e2e2e2 0%, #e2e2e2 100%";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails radiusMinusBorderWidth() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String smallFontSize() {
  return "12";
  }

  @Override
  public java.lang.String smallLineHeight() {
  return "18";
  }
    };
  }

  @Override
  public java.lang.String gradient() {
  return "#ffffff 0%, #ffffff 100%";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.ToolBarDetails.LabelToolItemDetails labelItem() {
  return new com.sencha.gxt.themebuilder.base.client.config.ToolBarDetails.LabelToolItemDetails() {

  @Override
  public java.lang.String lineHeight() {
  return "16px";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails padding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 4;
  }

  @Override
  public int right() {
  return 4;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails text() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#404040";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans', 'Helvetica Neue', helvetica, arial, verdana, sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "300";
  }
    };
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails padding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 3;
  }

  @Override
  public int left() {
  return 3;
  }

  @Override
  public int right() {
  return 3;
  }

  @Override
  public int top() {
  return 3;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails separatorBorder() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public java.lang.String color() {
  return "#d0d0d0";
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 1;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public int separatorHeight() {
  return 14;
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.ToolIconDetails tools() {
  return new com.sencha.gxt.themebuilder.base.client.config.ToolIconDetails() {

  @Override
  public java.lang.String allowColor() {
  return "#C6E38A";
  }

  @Override
  public java.lang.String primaryClickColor() {
  return "#ffffff";
  }

  @Override
  public double primaryClickOpacity() {
  return 0.8;
  }

  @Override
  public java.lang.String primaryColor() {
  return "#ffffff";
  }

  @Override
  public double primaryOpacity() {
  return 0.8;
  }

  @Override
  public java.lang.String primaryOverColor() {
  return "#ffffff";
  }

  @Override
  public double primaryOverOpacity() {
  return 1.0;
  }

  @Override
  public java.lang.String warningColor() {
  return "#D94E37";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.TreeDetails tree() {
  return new com.sencha.gxt.themebuilder.base.client.config.TreeDetails() {

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails checkboxMargin() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 2;
  }

  @Override
  public int right() {
  return 3;
  }

  @Override
  public int top() {
  return 8;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String dragOverBackgroundColor() {
  return "#eaeff4";
  }

  @Override
  public java.lang.String dropBackgroundColor() {
  return "#ffefbb";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails iconMargin() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 2;
  }

  @Override
  public int right() {
  return 3;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String itemHeight() {
  return "32px";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails nodePadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 6;
  }

  @Override
  public int right() {
  return 6;
  }

  @Override
  public int top() {
  return 2;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public java.lang.String overBackgroundColor() {
  return "#eaeff4";
  }

  @Override
  public java.lang.String selectedBackgroundColor() {
  return "#ffefbb";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails text() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#404040";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans','Helvetica Neue',helvetica,arial,verdana,sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "13px";
  }

  @Override
  public java.lang.String weight() {
  return "300";
  }
    };
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.WindowDetails window() {
  return new com.sencha.gxt.themebuilder.base.client.config.WindowDetails() {

  @Override
  public java.lang.String backgroundColor() {
  return "#ffffff";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.BorderDetails border() {
  return new com.sencha.gxt.themebuilder.base.client.config.BorderDetails() {

  @Override
  public int bottom() {
  return 2;
  }

  @Override
  public java.lang.String color() {
  return "#5fa2dd";
  }

  @Override
  public int left() {
  return 2;
  }

  @Override
  public int right() {
  return 2;
  }

  @Override
  public java.lang.String style() {
  return "solid";
  }

  @Override
  public int top() {
  return 2;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public int borderRadius() {
  return 0;
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.FontDetails font() {
  return new com.sencha.gxt.themebuilder.base.client.config.FontDetails() {

  @Override
  public java.lang.String color() {
  return "#f6f6f6";
  }

  @Override
  public java.lang.String family() {
  return "'Open Sans','Helvetica Neue',helvetica,arial,verdana,sans-serif";
  }

  @Override
  public java.lang.String size() {
  return "16px";
  }

  @Override
  public java.lang.String weight() {
  return "400";
  }
    };
  }

  @Override
  public java.lang.String headerBackgroundColor() {
  return "#5fa2dd";
  }

  @Override
  public java.lang.String headerGradient() {
  return "#5fa2dd 0%, #5fa2dd 100%";
  }

  @Override
  public java.lang.String headerLineHeight() {
  return "20px";
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails headerPadding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 10;
  }

  @Override
  public int left() {
  return 14;
  }

  @Override
  public int right() {
  return 14;
  }

  @Override
  public int top() {
  return 10;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails padding() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }

  @Override
  public com.sencha.gxt.themebuilder.base.client.config.EdgeDetails radiusMinusBorderWidth() {
  return new com.sencha.gxt.themebuilder.base.client.config.EdgeDetails() {

  @Override
  public int bottom() {
  return 0;
  }

  @Override
  public int left() {
  return 0;
  }

  @Override
  public int right() {
  return 0;
  }

  @Override
  public int top() {
  return 0;
  }

  @Override
  public java.lang.String toString () {
    return top() + "px " + right() + "px " + bottom() + "px " + left() + "px";
  }
    };
  }
    };
  }
public String getName() {return "theme";}

}

